Page MenuHomePhabricator

UploadWizard adds spurious file inputs when multiple files selected
Closed, ResolvedPublic

Description

Author: neilk

Description:
When a user clicks on "Add files", if their browser supports it, they may add more than one file.

When UploadWizard finishes creating all the HTML associated with new files, it should have exactly one new invisible file input covering the Add files button.

However, if multiple files have been added, then there are multiple invisible file inputs scattered across the page.

This has no impact on the user, since the bad ones don't seem to be clickable.

But it does make it difficult to write Selenium tests that manipulate HTML on the page.


Version: unspecified
Severity: minor

Details

Reference
bz70429
Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterRemove spurious uploads

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz70429.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 5 2014, 12:49 AM

neilk wrote:

See above.

Gilles triaged this task as Low priority.Nov 24 2014, 1:25 PM
Gilles added a subscriber: Gilles.

Change 183080 had a related patch set uploaded (by MarkTraceur):
Remove spurious uploads

https://gerrit.wikimedia.org/r/183080

Patch-For-Review

Change 183080 merged by jenkins-bot:
Remove spurious uploads

https://gerrit.wikimedia.org/r/183080

Gilles closed this task as Resolved.Jan 14 2015, 4:17 PM
Gilles assigned this task to MarkTraceur.
Gilles moved this task from Ready for testing to Doing on the Multimedia board.
Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Oct 23 2015, 4:59 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 23 2015, 4:59 PM